# notifier.message

Adds a message to the notifier window

Usage

    notifier.message [-q|quiet] [-n|noanim] [-w[=<window_id>]!] [-i=<image_id>] [-t=<timeout>] <messag>

Description

Adds a message to the notifier window. The notifier window is shown (if not already visible) unless the -q switch is present. The new message becomes the current message of the notifier unless the user is already typing in the input window and the typed message would be directed to a different window. In that case the message is appended at the end of the message queue and the user will be able to scroll to it by using the proper notifier buttons.
The <message> text can contain simple html tags: basically you are allowed to use <b> and <i>. The usage of other tags is possible but is discouraged since it tends to mess up the message display. In particular you should avoid any color and/or font specification since the notifier is skinnable and you don't know which color will result in a visible text. Please note that the user can forcibly disable the notifier for a limited period of time (a sort of "don't bug me" option).

Switches

-n | --noanim
Do not animate
-w | --windowid
Causes the message gets attacched to the specified window and the user is able to type commands in that window after showing up the notifier input. If the "=<window_id>" part is omitted then the current window is used.
-i | --icon
If the -i=<image_id> switch is present then the message has the specified image displayed. See the documentation on the image identifier for more information about the image_id parameter.
-q | --quiet
If you use -q then you must explicitly call notifier.show to show the notifier. If the -n switch is present then the show action will not be animated (the notifier will be shown immediately instead of fading in). Obviously -n has no meaning if -q is used.
-t | --timeout
Set the message lifetime to <timeout> Obviously this option has no meaning if the window is not going to be shown. The timeout may be overriddent by new messages but only in the future. If the timeout expires and is not overridden by any new message then the window will be automatically hidden. A zero timeout disables auto-hiding.

Syntax Specification

    notifier.message [-q|quiet] [-n|noanim] [-w[=<window_id:string>]!] [-i=<image_id:string>] [-t=<timeout:integer>] <messag:string>

Examples

        notifier.message Hello world!
        notifier.hide
        notifier.message -q This is a hidden message!
        notifier.message -q -i=14 This is a second hidden message with an icon
        notifier.show
        notifier.message -w This message has the current window associated
        notifier.message -w=$window This is equivalent to the above
        notifier.message <b>Bold text</b> and normal text
        notifier.hide
        notifier.message -t=10 This message will be shown only for 10 seconds

See also
notifier.show notifier.hide $notifier.isenabled()

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by root at Mon Sep 23 13:56:02 2013